Bug 137001 - [MAINTAINER] java/sqlitejdbc: activate existent feature
Summary: [MAINTAINER] java/sqlitejdbc: activate existent feature
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-22 17:50 UTC by Lapo Luchini
Modified: 2009-07-27 23:30 UTC (History)
0 users

See Also:


Attachments
sqlitejdbc-056.patch (1.18 KB, patch)
2009-07-22 17:50 UTC, Lapo Luchini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lapo Luchini 2009-07-22 17:50:05 UTC
Activat support for getGeneratedKeys() for prepared statements, which is
supported as well as the non-prepared statement case, but it was
currently returning a not implemented exception.

Added file(s):
- files/patch-src_org_sqlite_Conn.java

Generated with FreeBSD Port Tools 0.77

How-To-Repeat: 
conn.prepareStatement("INSERT INTO .........",
Statement.RETURN_GENERATED_KEYS );
Comment 1 Martin Wilke freebsd_committer 2009-07-23 20:13:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-07-27 23:29:09 UTC
miwi        2009-07-27 22:28:55 UTC

  FreeBSD ports repository

  Modified files:
    java/sqlitejdbc      Makefile 
  Added files:
    java/sqlitejdbc/files patch-src_org_sqlite_Conn.java 
  Log:
  - Activat support for getGeneratedKeys() for prepared statements, which is
    supported as well as the non-prepared statement case, but it was
    currently returning a not implemented exception.
  
  PR:             137001
  Submitted by:   Lapo Luchini <lapo@lapo.it> (maintainer)
  
  Revision  Changes    Path
  1.5       +1 -0      ports/java/sqlitejdbc/Makefile
  1.1       +14 -0     ports/java/sqlitejdbc/files/patch-src_org_sqlite_Conn.java (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2009-07-27 23:29:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!